Get pre-service run
Retrieve the result of a pre-service run. This endpoint supports long-polling.
Authentication
AuthorizationBearer
OAuth authentication of the form <token>.
Path parameters
run_id
Query parameters
include_initial_entity_state
If true, the run result includes the entity exactly as it was submitted. Default = False
Response
This endpoint returns an object.
run_id
created_at
entity_external_id
The client’s internal ID for the entity that was submitted for pre-service rule processing.
actions
Actions recommended by the rules engine.
initial_entity_state
The submitted entity. Only set if the request asked for it via include_initial_entity_state.
edits
Recommended edits to the submitted entity.
error
Set if the run encountered an unrecoverable error.
Errors
403
Unauthorized Error
404
Entity Not Found Error